Index: cprs/trunk/CPRS-Chart/fGraphs.pas
===================================================================
--- cprs/trunk/CPRS-Chart/fGraphs.pas	(revision 456)
+++ cprs/trunk/CPRS-Chart/fGraphs.pas	(revision 830)
@@ -6320,4 +7070,55 @@
 end;
 
+procedure TfrmGraphs.UpdateAccessabilityActions(var Actions: TAccessibilityActions);
+begin
+  Actions := Actions - [aaColorConversion];
+end;
+
+procedure TfrmGraphs.memTopEnter(Sender: TObject);
+begin
+  memTop.Color := clBtnShadow;
+end;
+
+procedure TfrmGraphs.memTopExit(Sender: TObject);
+begin
+  memTop.Color := clBtnFace;
+end;
+
+procedure TfrmGraphs.memBottomEnter(Sender: TObject);
+begin
+  memBottom.Color := clBtnShadow;
+end;
+
+procedure TfrmGraphs.memBottomExit(Sender: TObject);
+begin
+  memBottom.Color := clBtnFace;
+end;
+
+procedure TfrmGraphs.memTopKeyDown(Sender: TObject; var Key: Word;
+  Shift: TShiftState);
+begin
+  case Key of
+    VK_UP:      SendMessage(scrlTop.Handle, WM_VSCROLL, SB_LINEUP,   0);
+    VK_PRIOR:   SendMessage(scrlTop.Handle, WM_VSCROLL, SB_PAGEUP,   0);
+    VK_NEXT:    SendMessage(scrlTop.Handle, WM_VSCROLL, SB_PAGEDOWN, 0);
+    VK_DOWN:    SendMessage(scrlTop.Handle, WM_VSCROLL, SB_LINEDOWN, 0);
+    VK_HOME:    SendMessage(scrlTop.Handle, WM_VSCROLL, SB_TOP,      0);
+    VK_END:     SendMessage(scrlTop.Handle, WM_VSCROLL, SB_BOTTOM,   0);
+  end;
+end;
+
+procedure TfrmGraphs.memBottomKeyDown(Sender: TObject; var Key: Word;
+  Shift: TShiftState);
+begin
+  case Key of
+    VK_UP:      SendMessage(scrlBottom.Handle, WM_VSCROLL, SB_LINEUP,   0);
+    VK_PRIOR:   SendMessage(scrlBottom.Handle, WM_VSCROLL, SB_PAGEUP,   0);
+    VK_NEXT:    SendMessage(scrlBottom.Handle, WM_VSCROLL, SB_PAGEDOWN, 0);
+    VK_DOWN:    SendMessage(scrlBottom.Handle, WM_VSCROLL, SB_LINEDOWN, 0);
+    VK_HOME:    SendMessage(scrlBottom.Handle, WM_VSCROLL, SB_TOP,      0);
+    VK_END:     SendMessage(scrlBottom.Handle, WM_VSCROLL, SB_BOTTOM,   0);
+  end;
+end;
+
 initialization
   CoInitialize (nil);
